﻿@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ColorMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ColorMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ColorMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Color.ColorList </h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@Color.Code</th>
                        <th>@Color.Desc</th>
                        <th>@Color.Colortitle</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ColorView item in Model)
                    {
                        <tr>
                            <td>
                                @item.U_ColCode
                            </td>
                            <td>@item.U_ColDesc</td>
                            <td><span class="solapa_color" style="background-color: @item.getColorRGB() ;" /></td>
                            <td>
                                @if (_View)
                                { 
                                    <a href='@Url.Action("ActionColorMaster", "ColorMaster", new { @pActionColorMaster = "View", @pColorCode = item.U_ColCode })' class="btn btn-primary btn-xs pull-right">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.View
                                    </a>
                                }
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionColorMaster", "ColorMaster", new { @pActionColorMaster = "Update", @pColorCode = item.U_ColCode })' class="btn btn-primary btn-xs pull-right" style="margin-right:3px !important;">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Color.Edit
                                    </a>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>
@if (_Add)
{
    <div class="col-md-2 pull-right">
        <div class="but_blok_footer">
            <a href='@Url.Action("ActionColorMaster", "ColorMaster", new { @pActionColorMaster = "Add", @pColorCode = 0 })' class="btn btn-success btn-ls pull-right ">
                <span class="glyphicon glyphicon-file"></span>&nbsp;@PDC.Add
            </a>
        </div>
    </div>
}
